@echo off
REM All-Purpose ITRANS Calling script.
REM 03-29-97: Raghunath K. Rao (rrao@crystal.cirrus.com)
REM modified on 10/3 for doing .ps and also preview for 0 

if %1.==. goto Usage
if NOT exist %1.itx goto FNFound

if %2.==2. goto Upgrade
if %2.==3. goto Upgrade


echo.
echo ITRANS-ing %1.itx to %1.tex ...
itrans -i %1.itx -o %1.tex

echo.
echo LaTeX-ing %1.tex to %1.dvi ...
latex %1

echo.
echo. DVIPS-ing %1.dvi to %1.ps ...
dvips %1

if %2==1 goto Preview

goto end

REM --------------------------------------------------------------------------
:Upgrade
REM echo Upgrading %1.itx to ITRANS5.0 input %1.itu
@call %ITRANSPATH%\..\bin\iupgrade.bat %1.itx %1.itu

echo.
echo ITRANS-ing %1.itu to %1.tex ...
itrans -i %1.itu -o %1.tex

echo.
echo LaTeX-ing %1.tex to %1.dvi ...
latex %1

if %2==3 goto Preview

goto end

REM --------------------------------------------------------------------------
:Preview
echo.
echo Previewing %1.dvi ...
yap %1.dvi
goto end


REM --------------------------------------------------------------------------
:FNFound
echo.
echo File %1.itx not found.
echo.
goto end

REM --------------------------------------------------------------------------
:Usage
echo.
echo Usage: iform Source_File(.itx) [Output_Flag]
echo 	Outputs are Source_File(.tex, .log, .dvi , .ps) 
echo.
echo	Flag parameter usage (Unspecified/invalid flag defaults to 0) :
echo		0 = ITRANS 5.0+ Input, No Output Preview
echo		1 = ITRANS 5.0+ Input, Output Preview
echo		2 = Pre-ITRANS 5.0 Input, No Output Preview
echo		3 = Pre-ITRANS 5.0 Input, Output Preview
echo.
goto end

REM --------------------------------------------------------------------------
:end

del %1.tex
del %1.aux
del %1.log