echo off
if %1.==. goto Usage

if NOT exist %1.txt goto FNFound

del del*.*
sed -f f:\itrans\bin\convert.sed %1.txt > %1.txt1

translit -i %1.txt1 -o del1.txt -t f:\itrans\bin\itx2iht1.tbl
translit -i del1.txt -o del2.txt -t f:\itrans\bin\itx2iht2.tbl
translit -i del2.txt -o del3.txt -t f:\itrans\bin\itx2iht3.tbl
copy f:\itrans\bin\iht.hdr + del3.txt + f:\itrans\bin\iht.trl del.iht
itrans -v -i del.iht -o %1.html
copy del.iht %1.htm




goto cleanup

REM --------------------------------------------------------------------------
:FNFound
echo.
echo File %1.txt not found.
echo.
goto end

REM --------------------------------------------------------------------------
:FNFound2
echo.
echo File 2.hdr not found.
echo.
goto end

REM --------------------------------------------------------------------------
:FNFound3
echo.
echo File 2.trl not found.
echo.
goto end

REM --------------------------------------------------------------------------
:Usage
echo.
echo 	Usage: 	 convert Source_File PostscriptColumns
echo 	Example: convert test1	2
echo.
echo 	Source_file should have .txt extension 
echo 	but it should not be mentioned while starting program
echo.
echo 	PostscriptColumns should be 1 or 2
echo 	uses 1.hdr and 1.trl for 1 column
echo 	uses 2.hdr and 2.trl for 2 column
echo.
echo.
goto end

REM --------------------------------------------------------------------------
:cleanup

echo removing %1 extra files....

del %1.tex
del %1.dvi
del %1.aux
del %1.log
del del*.*

REM --------------------------------------------------------------------------
:end







