echo off
if %1.==. goto Usage

if NOT exist %1.txt goto FNFound

del del*.*
translit -i %1.txt -o del1.txt -t f:\itrans\bin\itx2iht1.tbl
translit -i del1.txt -o del2.txt -t f:\itrans\bin\itx2iht2.tbl
translit -i del2.txt -o del3.txt -t f:\itrans\bin\itx2ihtguj3.tbl
copy f:\itrans\bin\ihtguj.hdr + del3.txt + f:\itrans\bin\iht.trl del.iht
itrans -v -i del.iht -o %1_guj.html

copy f:\itrans\bin\guj.hdr + %1.txt + f:\itrans\bin\guj.trl %1_guj.itx
itrans -i %1_guj.itx -o %1_guj.tex
latex %1_guj
dvips %1_guj


goto cleanup

REM --------------------------------------------------------------------------
:FNFound
echo.
echo File %1.txt not found.
echo.
goto end


REM --------------------------------------------------------------------------
:Usage
echo.
echo 	Usage: 	 guj Source_File 
echo 	Example: san test1	
echo.
echo 	Source_file should have .txt extension 
echo 	but it should not be mentioned while starting program
echo.
echo.
goto end

REM --------------------------------------------------------------------------
:cleanup

echo removing %1 extra files....

del %1_g.itx
del %1_g.tex
del %1_g.dvi
del %1_g.aux
del %1_g.log
del del*.*

REM --------------------------------------------------------------------------
:end


